GDCM: gdcm::QueryStudy Class Reference

GDCM 3.2.6

Public Member Functions | List of all members
gdcm::QueryStudy Class Reference

QueryStudy.h. More...

`#include <gdcmQueryStudy.h>`

Inheritance diagram for gdcm::QueryStudy:
[legend]
Collaboration diagram for gdcm::QueryStudy:
[legend]

## Public Member Functions
std::vector< Tag > | GetHierachicalSearchTags (const ERootType &inRootType) const override
| Return all Unique Key for a particular Query Root type (from the same level and above).
const char * | GetName () const override
std::vector< Tag > | GetOptionalTags (const ERootType &inRootType) const override
DataElement | GetQueryLevel () const override
std::vector< Tag > | GetRequiredTags (const ERootType &inRootType) const override
std::vector< Tag > | GetUniqueTags (const ERootType &inRootType) const override
Public Member Functions inherited from gdcm::QueryBase
virtual | ~QueryBase ()=default
std::vector< Tag > | GetAllRequiredTags (const ERootType &inRootType) const
std::vector< Tag > | GetAllTags (const ERootType &inRootType) const

## Detailed Description

QueryStudy.h.

contains: class to construct a study-based query for C-FIND and C-MOVE

## Member Function Documentation

## ◆ GetHierachicalSearchTags()

std::vector< Tag > gdcm::QueryStudy::GetHierachicalSearchTags | ( | const ERootType & | inRootType | ) | const
| overridevirtual

Return all Unique Key for a particular Query Root type (from the same level and above).

Implements gdcm::QueryBase.

## ◆ GetName()

const char * gdcm::QueryStudy::GetName | ( |  | ) | const
| overridevirtual

Implements gdcm::QueryBase.

## ◆ GetOptionalTags()

std::vector< Tag > gdcm::QueryStudy::GetOptionalTags | ( | const ERootType & | inRootType | ) | const
| overridevirtual

Implements gdcm::QueryBase.

## ◆ GetQueryLevel()

DataElement gdcm::QueryStudy::GetQueryLevel | ( |  | ) | const
| overridevirtual

Implements gdcm::QueryBase.

## ◆ GetRequiredTags()

std::vector< Tag > gdcm::QueryStudy::GetRequiredTags | ( | const ERootType & | inRootType | ) | const
| overridevirtual

Implements gdcm::QueryBase.

## ◆ GetUniqueTags()

std::vector< Tag > gdcm::QueryStudy::GetUniqueTags | ( | const ERootType & | inRootType | ) | const
| overridevirtual

Implements gdcm::QueryBase.

The documentation for this class was generated from the following file:

- gdcmQueryStudy.h